
import java.io.File;
import java.io.OutputStreamWriter;

import org.jdom.Document;
import org.jdom.input.SAXBuilder;
import org.jdom.output.Format;
import org.jdom.output.XMLOutputter;

public class Test {

	public static void main(String[] args) throws Exception{
		File fileInput = new File("testEntity.xml");
		Document doc;
		
		SAXBuilder b = new SAXBuilder();
		b.setIgnoringElementContentWhitespace(true);
		b.setExpandEntities(false);
		doc = b.build(fileInput);
		doc.getDocType().setInternalSubset(null);

		
		XMLOutputter outputter = new XMLOutputter();
		Format format = Format.getPrettyFormat();
		format.setEncoding("US-ASCII");
		outputter.setFormat(format);
		
		outputter.output(doc, new OutputStreamWriter(System.out,format.getEncoding()));
	}

}
